## video-coreservices.zip

=== cloudwatch-alarm-cdk/requirements.txt ===
-e .
aws-cdk.core==1.121.0
aws-cdk.aws-events==1.121.0
aws-cdk.aws-events-targets==1.121.0
aws-cdk.aws-iam==1.121.0
aws-cdk.aws-lambda==1.121.0
aws-cdk.aws-cloudwatch==1.121.0
aws-cdk.aws-logs==1.121.0
aws-cdk.aws-sns==1.121.0
aws-cdk.aws-s3-assets==1.121.0
aws-cdk.aws-sns_subscriptions==1.121.0
pyyaml==5.3.1
requests==2.7.0
