=== consul-ansible/requirements.txt ===
ansible==3.3.0
requests==2.25.1
pysocks==1.7.1
jmespath==0.10.0
