=== consul-backinator-lambda/Makefile ===
cli:
	@go build ./cmd/backup-cli

lambda:
	@GOOS=linux go build ./cmd/backup-lambda

clean:
	@git clean -f
