=== diamond/Makefile ===
.EXPORT_ALL_VARIABLES:

SHELL := /bin/bash
DIST := bionic xenial

PACKER_VERSION = 1.7.3

UNAME := $(shell uname -s)
ifeq ($(UNAME),Linux)
    OS := linux
    WGET := wget -c -q
else
    OS := darwin
    WGET := curl -fsSO
endif

PACKER_ARCHIVE := packer_$(PACKER_VERSION)_$(OS)_amd64.zip


all: packer $(DIST)

$(PACKER_ARCHIVE):
	$(WGET) "https://releases.hashicorp.com/packer/$(PACKER_VERSION)/$(PACKER_ARCHIVE)"

packer: clean $(PACKER_ARCHIVE)
	unzip $(PACKER_ARCHIVE)

xenial: packer
	./packer build -var-file=variables/xenial.json packer.json

bionic: packer
	./packer build -var-file=variables/bionic.json packer.json

clean:
	for dist in $(DIST); do rm -rf "ip-$${dist}" "ip-$${dist}-twitch" "ip-amzn-$${dist}"; done
	rm -rf ./packer

.PHONY: all $(DIST) clean
