=== dmidecode/Makefile ===
.EXPORT_ALL_VARIABLES:

SHELL := /bin/bash
DIST := bionic

PACKER_VERSION = 1.7.0
all: packer $(DIST)

packer: clean
	wget -c -q "https://releases.hashicorp.com/packer/$(PACKER_VERSION)/packer_$(PACKER_VERSION)_linux_amd64.zip"
	unzip packer_$(PACKER_VERSION)_linux_amd64.zip

bionic: clean
	DISTRO_CODENAME=bionic DISTRO_VERSION=18.04 ./packer build packer.json

clean:
	for dist in $(DIST); do rm -rf "ip-$${dist}-twitch"; done
	rm -rf ./packer

.PHONY: all $(DIST) clean
