=== dns-root-data/Makefile ===
all: clean
	manta -v -f src/manta.json
clean:
	rm -rf src/build

.PHONY: all clean
