=== ethtool/Makefile ===
.EXPORT_ALL_VARIABLES:

SHELL := /bin/bash
DIST := bionic xenial centos7

PACKER_VERSION = 1.6.5

UNAME := $(shell uname -s)
ifeq ($(UNAME),Linux)
    OS := linux
    WGET := wget -c -q
else
    OS := darwin
    WGET := curl -fsSO
endif

PACKER_ARCHIVE := packer_$(PACKER_VERSION)_$(OS)_amd64.zip


all: packer $(DIST)

$(PACKER_ARCHIVE):
	$(WGET) "https://releases.hashicorp.com/packer/$(PACKER_VERSION)/$(PACKER_ARCHIVE)"

packer: clean $(PACKER_ARCHIVE)
	unzip $(PACKER_ARCHIVE)

xenial: packer
	DISTRO_NAME=ubuntu DISTRO_CODENAME=xenial DISTRO_VERSION=16.04 BUILD_TYPE=deb OUTPUT_DIR=ip-xenial-twitch ./packer build packer.json

clean:
	for dist in $(DIST); do rm -rf "ip-$${dist}" "ip-$${dist}-twitch"; done
	rm -rf ./packer

.PHONY: all $(DIST) clean
