=== haproxy/Makefile ===
.EXPORT_ALL_VARIABLES:

SHELL := /bin/bash
DIST := bionic xenial centos7 al2

PACKER_VERSION = 1.5.5
ECR_LOGIN = false

UNAME := $(shell uname -s)
ifeq ($(UNAME),Linux)
    OS := linux
    WGET := wget -c -q
else
    OS := darwin
    WGET := curl -fsSO
endif

PACKER_ARCHIVE := packer_$(PACKER_VERSION)_$(OS)_amd64.zip


all: packer $(DIST)

$(PACKER_ARCHIVE):
	$(WGET) "https://releases.hashicorp.com/packer/$(PACKER_VERSION)/$(PACKER_ARCHIVE)"

packer: clean $(PACKER_ARCHIVE)
	unzip $(PACKER_ARCHIVE)

xenial: packer
	DISTRO_NAME=ubuntu DISTRO_CODENAME=xenial DISTRO_VERSION=16.04 BUILD_TYPE=deb OUTPUT_DIR=ip-xenial-twitch ./packer build packer.json

bionic: packer
	DISTRO_NAME=ubuntu DISTRO_CODENAME=bionic DISTRO_VERSION=18.04 BUILD_TYPE=deb OUTPUT_DIR=ip-bionic-twitch ./packer build packer.json

centos7: packer
	DISTRO_NAME=centos DISTRO_CODENAME=centos DISTRO_VERSION=7 BUILD_TYPE=rpm OUTPUT_DIR=ip-centos7 ./packer build packer.json

al2: packer
	DISTRO_NAME=amazonlinux DISTRO_CODENAME=al2 DISTRO_VERSION=latest BUILD_TYPE=rpm OUTPUT_DIR=ip-amzn-al2 ECR_LOGIN=true LOGIN_SERVER=137112412989.dkr.ecr.us-east-1.amazonaws.com LOGIN_USERNAME=AWS ./packer build packer.json

clean:
	for dist in $(DIST); do rm -rf "ip-$${dist}" "ip-$${dist}-twitch" "ip-amzn-$${dist}"; done
	rm -rf ./packer

.PHONY: all $(DIST) clean
