=== initramfs_hwraid/Makefile ===
PACKER = packer

packer_build:
	$(PACKER) build xenial.json
	$(PACKER) build bionic.json

jenkins_build:
	$(PACKER) build -color=false xenial.json
	$(PACKER) build -color=false bionic.json

clean:
	rm -rf output/*iotools.xz
.PHONY: packer_build jenkins_build
