=== kontron_lambda/requirements.txt ===
chalice==1.9.1
requests==2.22.0
