=== diamond/debian/changelog ===
video-diamond (4.0.515) stable; urgency=medium

  * Initial release.

 -- Video Core Services <video-coreservices@twitch.tv>  Wed, 30 Jun 2021 22:24:42 +0000
