=== diamond/debian/control ===
Source: video-diamond
Section: misc
Priority: extra
Maintainer: Video Core Services <video-coreservices@twitch.tv>
Homepage: https://git.xarth.tv/video-coreservices/diamond
Build-Depends: debhelper (>= 9), python, dh-virtualenv (>= 0.8)
Standards-Version: 3.9.5
 
Package: video-diamond
Architecture: any
Depends: python
Description: System statistics collector for Graphite.
 Diamond is a daemon and toolset for gathering system statistics
 and publishing them to Graphite.
