=== diamond/debian/rules ===
#!/usr/bin/make -f
export DH_VIRTUALENV_INSTALL_ROOT=/opt/twitch

%:
	dh $@ --with python-virtualenv
